#!/usr/bin/env bash
#
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

cd "$DIR/../"

samples_dir=$(readlink -f "org_mode_samples")

function get_test_names {
    for test_file in "$@"
    do
        test_file_full_path=$(readlink -f "$test_file")
        relative_to_samples=$(realpath --relative-to "$samples_dir" "$test_file_full_path")
        without_extension="${relative_to_samples%.org}"
        echo "${without_extension/\//_}"
    done
}

get_test_names "$@" | while read test; do
    cargo test --no-fail-fast --test test_loader "$test"
done
